%global pypi_name django-rest-framework-braces
%global name_with_underscore django_rest_framework_braces
%global sum Collection of utilities for working with DRF
%global src_dir drf_braces

Name:           python-%{pypi_name}
Version:        0.1.6
Release:        3%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel
BuildRequires:  python-setuptools python3-setuptools
Requires:       python-dateutil
Requires:       python-django
Requires:       python-django-rest-framework
Requires:       pytz
Requires:       python-six

%description
Collection of utilities for working with Django-Rest-Framework.

%package -n python2-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Collection of utilities for working with Django-Rest-Framework.

%package -n python3-%{pypi_name}
Summary:        %{sum}
Requires:       python3-dateutil
Requires:       python3-django
Requires:       python3-django-rest-framework
Requires:       python3-pytz
Requires:       python3-six
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Collection of utilities for working with Django-Rest-Framework.

%prep
%autosetup -n %{pypi_name}-%{version} 
rm -fr %{name_with_underscore}.egg-info
# removing zero byte files
rm -f %{src_dir}/models.py

%build
%py2_build
%py3_build

%install
%py2_install
rm -fr %{buildroot}%{python2_sitelib}/tests
%py3_install
rm -fr %{buildroot}%{python3_sitelib}/tests

%files -n python2-%{pypi_name}
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%license LICENSE.rst
%{python2_sitelib}/%{src_dir}
%{python2_sitelib}/%{name_with_underscore}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%license LICENSE.rst
%{python3_sitelib}/%{src_dir}
%{python3_sitelib}/%{name_with_underscore}-%{version}-py?.?.egg-info

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Mar 08 2016 Sundeep Anand <suanand@redhat.com> - 0.1.5-2
- Remove upstream's egg-info

* Fri Jan 22 2016 Sundeep Anand <suanand@redhat.com> - 0.1.5-1
- Initial RPM Package
